Bug 246554 - smartmontools, SATA, no Health Status Check
smartmontools, SATA, no Health Status Check
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 20:58 EDT by Derek Scott
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 22:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Scott 2007-07-02 20:58:08 EDT
Description of problem: 

Unable to activate smart Health monitoring on SATAII drives. All drives are
Seagate Barracuda's, 2x 320GB, 2x 500GB, in RAID-1 (mdadm) mirrors, and LVM.
ASUS M2N-E, SMART enabled in BIOS. (Have also tried all commands with SMART
disabled in BIOS)

(Using /dev/sda for example, all other SATA drives report exactly the same errors)

(input)
smartctl --smart=on /dev/sda

(output)
=== START OF ENABLE/DISABLE COMMANDS SECTION ===
SMART Enabled.
Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Values from ATA status return descriptor are:
 00     09 0c 00 00 00 00 00 00  00 00 00 00 00 50                              
A mandatory SMART command failed: exiting. To continue, add one or more '-T
permissive' options.

(input)
smartctl -T permissive --smart=on /dev/sda

(output)
=== START OF ENABLE/DISABLE COMMANDS SECTION ===
SMART Enabled.
Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Values from ATA status return descriptor are:
 00     09 0c 00 00 00 00 00 00  00 00 00 00 00 50

(input)
smartctl -H /dev/sda

(output)
Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Values from ATA status return descriptor are:
 00     09 0c 00 00 00 00 00 00  00 00 00 00 00 50                              
A mandatory SMART command failed: exiting. To continue, add one or more '-T
permissive' options.

(input)
smartctl -T permissive -H /dev/sda

(output)
Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Values from ATA status return descriptor are:
 00     09 0c 00 00 00 00 00 00  00 00 00 00 00 50                              
=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

(input)
smartctl -a /dev/sda

(output)
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Values from ATA status return descriptor are:
 00     09 0c 00 00 00 00 00 00  00 00 00 00 00 50                              
A mandatory SMART command failed: exiting. To continue, add one or more '-T
permissive' options.


smartctl -T permissive -a /dev/sda then gives the same error, but proceeds with
all the info, stating "test result: PASSED"


Trying to enable smart Health monitoring through smartd brings up the same sort
of errors:

(in smartd.conf)
/dev/sda -d ata -H -m root (with or without -T permissive)

(in /var/log/messages)
Device: /dev/sda, opened
Device: /dev/sda, found in smartd database.
Device: /dev/sda, not capable of SMART Health Status check
Unable to register ATA device /dev/sda at line 31 of file /etc/smartd.conf
Device /dev/sda not available

But if smartd contains
/dev/sda -d ata -a -m root

/var/log/messages outputs
Device: /dev/sda, opened
Device: /dev/sda, found in smartd database.
Device: /dev/sda, not capable of SMART Health Status check
Device: /dev/sda, is SMART capable. Adding to "monitor" list.

So the drives can be monitored for usage statistics and such, but not for the
silent Health Status check. These same drives were working fine in a previous
Debian install, Health monitoring and all. I have a 320GB Seagate drive in
another system under FC6, and no errors from smartctl or smartd are reported.
Seagate's own bootable Drive disk (SeaTools I believe) reports that the drives
are fine. Booted the system from System RescueCD 0.3.3, no errors from there
either. 


Version-Release number of selected component (if applicable):
smartmontools-5.37-3.fc7

How reproducible:
Everytime

Steps to Reproduce:
1. Install F7 on SATA drives, install & enable smartd
2. Type in commands / change smartd.conf
3. Look at output / restart smartd, check /var/log/messages
  
Actual results:
no Health status checking

Expected results:
silent Health check (as much fun as all those stats are in my inbox every morning)

Additional info:
I was directed to a similar bug report for Ubuntu, with people describing the
same thing. Oddly enough, everyone who listed their mobo brand... it was always
ASUS. Might be useful.

Thanks
Comment 1 Tomas Smetana 2007-07-13 04:08:04 EDT
I've tried to reproduce the problem on several machines, but they work ok.  If
this is a specific hardware issue then I'm sorry, but there's not much I can do
about it.  Have you tried to contact upstream developers?
Comment 2 Derek Scott 2007-07-13 20:01:17 EDT
It may very well be an issue related to my specific hardware specs. I'll have a
look through the smartmontools archives, and contact the devs if I can't find
anything. Thanks for looking into it.
Comment 3 Derek Scott 2007-07-24 22:01:37 EDT
Issue has been resolved with the newest kernel upgrade (2.6.22.1-27.fc7)

Note You need to log in before you can comment on or make changes to this bug.